# Social Links API

Light-weight social share module that provides pop up links that can be added to any fieldable entity.

Clicking on the link displays a pop up in which to share your page's content.

Default services provided:
 - twitter
 - facebook
 - email

Alternatively, you can provide callback overrides for the default services or add new service providers altogether.

### Features
 - Reusable API
 - Support for ALL entity types

### Adding a new provider
```php
  $links['linkedin'] = [
    'callback' => 'social_links_provider_popup',
    'path' => 'http://www.linkedin.com/shareArticle?mini=true&url=',
  ];
```

 - 'callback' must be callable.
 - 'path' must present but can be empty.
 - 'svg' (optional) If set, it will take the place of the title as the body of the link.
 
